Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.base.client.util
Class Utils

    java.lang.Object
      org.eclipse.higgins.ics.gwt.base.client.util.Utils

public class Utils
extends Object

Author:
  Alexander Yuhimenko

Field Summary
`static BaseConstant` | `baseConstant`
`static String` | `contextPath`
`static int` | `rootHeight`
`static int` | `rootWidth`
`static FadeoutDialogBox` | `waitDialogBox`
`static WaitPanel` | `waitPanel`

Constructor Summary
`Utils()`

Method Summary
`static void` | `addModule(String moduleName, com.google.gwt.user.client.ui.Widget widget)`
`static void` | `addStylesheet(String uri, com.google.gwt.user.client.Element rootElement)`
`static void` | `addValueToMRU(String key, String value)`
`static boolean` | `checkCardSpace()`
`static boolean` | `checkHBX()`
`static void` | `click(com.google.gwt.user.client.Element e)`
`static Card` | `cloneCard(Card srcCard)`
`static UserProfile` | `cloneUserProfile(UserProfile userProfile)`
`static void` | `defineAddCSS(String uri)`
`static com.google.gwt.user.client.ui.Widget` | `findModule(String moduleName, int widgetIdx)`
`static String` | `getContextPath()`
`static com.google.gwt.user.client.Element` | `getDocument(com.google.gwt.user.client.Element e)`
`static String` | `getElementHeight(com.google.gwt.user.client.Element e)`
`static String` | `getElementWidth(com.google.gwt.user.client.Element e)`
`static HashSet` | `getValuesFromMRU(String key)`
`static String` | `getWindowHeight()`
`static void` | `hideWaiteDialog()`
`static boolean` | `isIE()`
`static int` | `parseInt(String str, int defVal)`
`static void` | `recalculateSize()`
`static void` | `reloadPage()`
`static boolean` | `replaceWidget(String oldComponentName, com.google.gwt.user.client.ui.Widget newComponent)`
`static void` | `setPixelSize(int width, int height)`
`static void` | `setRootHeight(int height)`
`static void` | `setRootWidth(int width)`
`static void` | `showConfirmDialog(String title, String message, CardActionButton actionButton)`
`static SimpleDialog` | `showErrorMessage(String message)`
`static void` | `showHelp()`
`static void` | `showWaiteDialog(String message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseConstant

    public static BaseConstant baseConstant

### rootHeight

    public static int rootHeight

### contextPath

    public static final String contextPath

### rootWidth

    public static int rootWidth

### waitPanel

    public static WaitPanel waitPanel

### waitDialogBox

    public static FadeoutDialogBox waitDialogBox

Constructor Detail

### Utils

    public Utils()

Method Detail

### setRootWidth

    public static final void setRootWidth(int width)

### setRootHeight

    public static final void setRootHeight(int height)

### recalculateSize

    public static final void recalculateSize()

### setPixelSize

    public static final void setPixelSize(int width,
                                          int height)

### getValuesFromMRU

    public static HashSet getValuesFromMRU(String key)

### addValueToMRU

    public static void addValueToMRU(String key,
                                     String value)

### cloneUserProfile

    public static final UserProfile cloneUserProfile(UserProfile userProfile)

### showWaiteDialog

    public static final void showWaiteDialog(String message)

### hideWaiteDialog

    public static final void hideWaiteDialog()

### cloneCard

    public static final Card cloneCard(Card srcCard)

### showErrorMessage

    public static final SimpleDialog showErrorMessage(String message)

### showConfirmDialog

    public static final void showConfirmDialog(String title,
                                               String message,
                                               CardActionButton actionButton)

### addModule

    public static final void addModule(String moduleName,
                                       com.google.gwt.user.client.ui.Widget widget)

### replaceWidget

    public static boolean replaceWidget(String oldComponentName,
                                        com.google.gwt.user.client.ui.Widget newComponent)

### findModule

    public static final com.google.gwt.user.client.ui.Widget findModule(String moduleName,
                                                                        int widgetIdx)

### parseInt

    public static final int parseInt(String str,
                                     int defVal)

### getContextPath

    public static final String getContextPath()

### showHelp

    public static void showHelp()

### addStylesheet

    public static final void addStylesheet(String uri,
                                           com.google.gwt.user.client.Element rootElement)

### isIE

    public static boolean isIE()

### reloadPage

    public static void reloadPage()

### defineAddCSS

    public static void defineAddCSS(String uri)

### getDocument

    public static com.google.gwt.user.client.Element getDocument(com.google.gwt.user.client.Element e)

### checkCardSpace

    public static boolean checkCardSpace()

### checkHBX

    public static boolean checkHBX()

### getWindowHeight

    public static String getWindowHeight()

### getElementHeight

    public static String getElementHeight(com.google.gwt.user.client.Element e)

### getElementWidth

    public static String getElementWidth(com.google.gwt.user.client.Element e)

### click

    public static void click(com.google.gwt.user.client.Element e)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD